// Membrace.cpp: Membrace NX̃Cve[V
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "MeshEditor.h"
#include "Membrace.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// \z/
//////////////////////////////////////////////////////////////////////

Membrace::Membrace()
{

}

Membrace::~Membrace()
{

}

float Membrace::func(float p[])
{
	double E = 0;
	for(int i=0; i<n; i++){
		int deg = degree[i];
		for(int j=0; j<deg; j++){
			int pair = link[i][j];
			E += (p[3*pair] - p[3*i])*(p[3*pair] - p[3*i])
				+ (p[3*pair+1] - p[3*i+1])*(p[3*pair+1] - p[3*i+1])
				+ (p[3*pair+2] - p[3*i+2])*(p[3*pair+2] - p[3*i+2]);
		}
	}
	return (float)E;
}

void Membrace::dfunc(float p[], float d[])
{
	for(int i=0; i<n; i++){
		int deg = degree[i];
		d[3*i] = d[3*i+1] = d[3*i+2] = 0;
		for(int j=0; j<deg; j++){
			int pair = link[i][j];
			d[3*i] -= 2.0f*(p[3*pair] - p[3*i]);
			d[3*i+1] -= 2.0f*(p[3*pair+1] - p[3*i+1]);
			d[3*i+2] -= 2.0f*(p[3*pair+2] - p[3*i+2]);
		}
	}
}
