// RidgeDialog.cpp : Cve[V t@C
//

#include "stdafx.h"
#include "MeshEditor.h"
#include "RidgeDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// RidgeDialog _CAO


RidgeDialog::RidgeDialog(CWnd* pParent /*=NULL*/)
	: CDialog(RidgeDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(RidgeDialog)
	m_pre_smoothing = 0;
	m_thresholding = 1;
	m_data_type = 0;
	m_ridge_dir = FALSE;
	m_extraction = TRUE;
	m_constant = 2.0f;
	m_tensor = TRUE;
	m_connect = TRUE;
	m_edge_smooth = FALSE;
	m_search = 200.0f;
	m_edge_iter = 10;
	m_cross = TRUE;
	m_hi = 0.6f;
	m_low = 0.3f;
	//}}AFX_DATA_INIT
}


void RidgeDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(RidgeDialog)
	DDX_Radio(pDX, IDC_RADIO7, m_pre_smoothing);
	DDX_Radio(pDX, IDC_RADIO1, m_thresholding);
	DDX_Radio(pDX, IDC_RADIO4, m_data_type);
	DDX_Check(pDX, IDC_CHECK2, m_ridge_dir);
	DDX_Check(pDX, IDC_CHECK3, m_extraction);
	DDX_Text(pDX, IDC_EDIT1, m_constant);
	DDX_Check(pDX, IDC_CHECK1, m_tensor);
	DDX_Check(pDX, IDC_CHECK4, m_connect);
	DDX_Check(pDX, IDC_CHECK5, m_edge_smooth);
	DDX_Text(pDX, IDC_EDIT2, m_search);
	DDX_Text(pDX, IDC_EDIT3, m_edge_iter);
	DDX_Check(pDX, IDC_CHECK6, m_cross);
	DDX_Text(pDX, IDC_EDIT4, m_hi);
	DDV_MinMaxFloat(pDX, m_hi, 0.f, 1.f);
	DDX_Text(pDX, IDC_EDIT5, m_low);
	DDV_MinMaxFloat(pDX, m_low, 0.f, 1.f);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(RidgeDialog, CDialog)
	//{{AFX_MSG_MAP(RidgeDialog)
		//  - ClassWizard ͂̈ʒuɃ}bsOp̃}Nǉ܂͍폜܂B
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// RidgeDialog bZ[W nh
